#ifndef _SENSOR_H
#define _SENSOR_H

#include "stdafx.h"

class Sensor : public IO_Module
{
public:
	Sensor()
	{
	}

	Sensor(uint32 sensorId, SensorTypes sensorType)
	{
		this->moduleId = sensorId;
		this->sensorType = sensorType;
	}

protected:
	SensorTypes sensorType;

public:
	SensorTypes GetType()
	{
		return sensorType;
	}
};

#endif
